| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Static Public Member Functions | Static Protected Member Functions | Static Package Functions
com.symantec.sepm.webservice.common.security.PermissionCheckHelper Class Reference

Helper class that provides methods to check the access rights of the current logged in user. More...

## Static Public Member Functions
static void | checkUrlPermission (String serviceName, PermissionManager permissionManager) throws InsufficientAccessServiceException
| Checks the access rights for the current logged in user by checking the web services URL. More...
static void | checkCommandTypePermission (String commandType, PermissionManager permissionManager) throws InsufficientAccessServiceException
| Checks whether the current logged in user has access rights to run the specified command (command type) More...
static void | checkPolicyTypePermission (String policyType, PermissionManager permissionManager) throws InsufficientAccessServiceException
| Checks whether the current logged in user has access rights to manage the specified policy type. More...
static void | checkManageSitesPermission (PermissionManager permissionManager) throws InsufficientAccessServiceException
| Checks whether the current logged in user has access rights to manage sites. More...
static void | checkRunCommandPermission (PermissionManager permissionManager) throws InsufficientAccessServiceException
| Checks whether the current logged in user has access rights to run commands on Symantec Endpoint Protection clients. More...
static void | checkViewReportsPermission (PermissionManager permissionManager) throws InsufficientAccessServiceException
| Checks whether the current logged in user has access rights to view reports. More...
static AdministratorTO | getAdministratorTO () throws InsufficientAccessServiceException
| Retrieves the AdministratorTO transfer object for the current logged in user. More...

## Static Protected Member Functions
static PermissionManager.PolicyType | convertToPolicyType (String policyType)

## Static Package Functions
| [static initializer]

## Detailed Description

Helper class that provides methods to check the access rights of the current logged in user.

Many calls to Symantec Endpoint Protection web services can be completed only if the logged-in user has access rights to perform the specified action in Symantec Endpoint Protection Manager.

For more information about access rights, see the Symantec Endpoint Protection documentation.

## Member Function Documentation

com.symantec.sepm.webservice.common.security.PermissionCheckHelper.[static initializer] | ( |  | ) |
| static package

static void com.symantec.sepm.webservice.common.security.PermissionCheckHelper.checkUrlPermission | ( | String | serviceName,
|  | PermissionManager | permissionManager
| ) |  | throws InsufficientAccessServiceException
| static

Checks the access rights for the current logged in user by checking the web services URL.

System administrators and domain administrators by definition have sufficient access rights to all web services functionality and therefore pass this check. This method provides a check for all the methods of a single web service.

Parameters

  serviceName | the name of the web service. Mapped to a URL to leverage basic URL checking logic.
  permissionManager | an instance of the PermissionManager that performs the check

Exceptions

  InsufficientAccessServiceException | if the current logged in user does not have sufficient rights to access the web service endpoint

static void com.symantec.sepm.webservice.common.security.PermissionCheckHelper.checkCommandTypePermission | ( | String | commandType,
|  | PermissionManager | permissionManager
| ) |  | throws InsufficientAccessServiceException
| static

Checks whether the current logged in user has access rights to run the specified command (command type)

Parameters

  commandType | the command to check access rights for
  permissionManager | an instance of the PermissionManager that performs the check

Exceptions

  InsufficientAccessServiceException | if the current logged in user does not have access rights to run the specified command

static void com.symantec.sepm.webservice.common.security.PermissionCheckHelper.checkPolicyTypePermission | ( | String | policyType,
|  | PermissionManager | permissionManager
| ) |  | throws InsufficientAccessServiceException
| static

Checks whether the current logged in user has access rights to manage the specified policy type.

Parameters

  policyType | the type of policy to check access rights for
  permissionManager | an instance of the PermissionManager that performs the check

Exceptions

  InsufficientAccessServiceException | if the current logged in user does not have access rights to manage the specified policy type

static void com.symantec.sepm.webservice.common.security.PermissionCheckHelper.checkManageSitesPermission | ( | PermissionManager | permissionManager | ) | throws InsufficientAccessServiceException
| static

Checks whether the current logged in user has access rights to manage sites.

Parameters

  permissionManager | an instance of the PermissionManager that performs the check

Exceptions

  InsufficientAccessServiceException | if the current logged in user does not have access rights to manage sites

static void com.symantec.sepm.webservice.common.security.PermissionCheckHelper.checkRunCommandPermission | ( | PermissionManager | permissionManager | ) | throws InsufficientAccessServiceException
| static

Checks whether the current logged in user has access rights to run commands on Symantec Endpoint Protection clients.

Parameters

  permissionManager | an instance of the PermissionManager that performs the check

Exceptions

  InsufficientAccessServiceException | if the current logged in user does not have access rights to run commands on Symantec Endpoint Protection clients

static void com.symantec.sepm.webservice.common.security.PermissionCheckHelper.checkViewReportsPermission | ( | PermissionManager | permissionManager | ) | throws InsufficientAccessServiceException
| static

Checks whether the current logged in user has access rights to view reports.

Parameters

  permissionManager | an instance of the PermissionManager that performs the check

Exceptions

  InsufficientAccessServiceException | if the current logged in user does not have access rights to view reports

static PermissionManager.PolicyType com.symantec.sepm.webservice.common.security.PermissionCheckHelper.convertToPolicyType | ( | String | policyType | ) |
| static protected

static AdministratorTO com.symantec.sepm.webservice.common.security.PermissionCheckHelper.getAdministratorTO | ( |  | ) | throws InsufficientAccessServiceException
| static

Retrieves the AdministratorTO transfer object for the current logged in user.

Returns
  AdministratorTO transfer object

Exceptions

  InsufficientAccessServiceException | if the AdministratorTO object is null.